LINUX.ORG.RU

Не ставятся 32-битные пакеты в Ubuntu: проблемы зависимостей


0

1

Wine:

Следующие пакеты имеют неудовлетворённые зависимости:
 libxml2 : Ломает: libxml2:i386 (!= 2.9.0+dfsg1-4ubuntu4.1) но будет установлен 2.9.0+dfsg1-4ubuntu4.
 libxml2:i386 : Ломает: libxml2 (!= 2.9.0+dfsg1-4ubuntu4) но установлен 2.9.0+dfsg1-4ubuntu4.1.
Skype:
Следующие пакеты имеют неудовлетворённые зависимости:
 libmysqlclient18 : Ломает: libmysqlclient18:i386 (!= 5.5.31-0ubuntu0.13.04.1) но будет установлен 5.5.29-0ubuntu1.
 libmysqlclient18:i386 : Ломает: libmysqlclient18 (!= 5.5.29-0ubuntu1) но установлен 5.5.31-0ubuntu0.13.04.1.
 libxml2 : Ломает: libxml2:i386 (!= 2.9.0+dfsg1-4ubuntu4.1) но будет установлен 2.9.0+dfsg1-4ubuntu4.
 libxml2:i386 : Ломает: libxml2 (!= 2.9.0+dfsg1-4ubuntu4) но установлен 2.9.0+dfsg1-4ubuntu4.1.
Что с этим делать? Libxml2 вслед за собой снесет пол-системы.

Как у тебя так получается?

~$ aptitude show skype
Package: skype                           
State: installed
Automatically installed: no
Version: 4.1.0.20.0-0ubuntu0.13.04.2
Priority: extra
Section: net
Maintainer: Steve Langasek <steve.langasek@canonical.com>
Architecture: amd64
Uncompressed Size: 62.5 k
Depends: skype-bin
Conflicts: skype
Description: client for Skype VOIP and instant messaging service
 Skype is software that enables the world's conversations.  Millions of
 individuals and businesses use Skype to make free video and voice calls, send
 instant messages and share files with other Skype users.  Every day, people
 also use Skype to make low-cost calls to landlines and mobiles. 
 
 * Make free Skype-to-Skype calls to anyone else, anywhere in the world. * Call
 to landlines and mobiles at great rates. * Group chat with up to 200 people or
 conference call with up to 25 others. * Free to download.
yvv ★★☆ ()

Сидеть, обновлять сведения о репозитории до тех пор, пока товарищи мейнтейнеры не впилят в них две одинаковые версии libxml2 и libmysqlcient18. Косяк у людей, исправят.

uuwaan ★★ ()
Ответ на: комментарий от KendovNorok

Ubuntu 13.04

Установил я Ubuntu 13.04. И... вернулся на 12.04.

Что меня заставило это сделать?

Оказывается, для меня критичным было, чтобы панелью запуска (которая слева, в которой иконки для запуска) можно было управлять скроллингом мышки, а не только стрелкой курсора: подводишь стрелку курсора вверх или вниз и только в этом случае идет прокрутка имеющихся иконок.

А так как скорость прокрутки была неприемлема, то это меня раздражало и бесило.

Может, есть какое-то программное решение этой проблемы (включить управление панелью с помощью скроллинга мышки),- не знаю, не искал... Может, кто подскажет?!?!

lyalick ()
Ответ на: комментарий от comp00

и ети, как их, манд... ху... ебилды, да да ебилды.

anonymous ()
Ответ на: Ubuntu 13.04 от lyalick

В KDE так уже давно можно. В Unity не копался.

KendovNorok ()
Ответ на: комментарий от KendovNorok

тогда страдай Зачем все? Только то что тебе надо, в том кол-ве в котором тебе надо.

comp00 ★★★★ ()

Система поди х64? Архитектуру i386 добавил?

На всякий случай команда, если склероз не изменяет:

dpkg --add-architecture i386
anonymous ()

Ну сходу приходят 4 варианта решения твоей проблемы. Более того, я бы даже не назвал это проблемой.
1. Сделать purge неправильных пакетов побольше. И потом просто поставить
2. Смотреть подробно, все зависимости по одной, пока не найдешь где расходится, и потом ставить вручную через dpkg нужные версии пакетов с пониженной или повышенной версией в зависимости от ситуации.
3. Поставить wine c ppa, а скайп поставить static build версию
4. Собрать скайп самому, а скайп поставить static build версию

anonymous_sama ★★★★★ ()
Ответ на: комментарий от anonymous_sama

wine из официального ppa? Ничего не изменилось. Libxml2-i386 по-прежнему требуется. Половина прикладного софта (virtualbox, amarok, chromium, libreoffice) у меня так или иначе требуют libxml2, обойтись без него - не вариант, а 64-битная либа с 32-битной просто не уживаются. Скайп - ладно, сейчас больше вино волнует.

KendovNorok ()
Ответ на: комментарий от Deneb

Из левого имеет отношение в Вайну только его ппа, который я подключил уже в отчаянии.

KendovNorok ()

ну ПРИРОСТ В СКОРОСТИ от 64 то чувствуешь? этот мощщный прирост...

за такое же не жалко и пострадать чуток, да?

anonymous ()
Ответ на: комментарий от KendovNorok

Рукожопие с моей стороны. У меня apt-pin так настроен, что libxml2 брался более новой версии, чем его i386 версия. Удалил нах preferences и все стало хорошо.

KendovNorok ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.